package de.hs_mannheim.informatik.bank.domain;



import java.util.Collection;
import java.util.HashMap;

import persistance.Read;
import persistance.Write;

public class Bank {
	private String name;
	private HashMap<Integer, Konto> konten = new HashMap<>();
	
	public HashMap<Integer, Konto> getKonten() {
		return konten;
	}


	public void setKonten(HashMap<Integer, Konto> konten) {
		this.konten = konten;
	}
	

	public Bank(String name) {
		this.name = name;
	}
	
	public void addKonto(Konto k) {
		konten.put(k.getKontonummer(), k);
	}
	
	public String getName() {
		return name;
	}
	
	public Collection<Konto> getKontenliste() {
		return konten.values();
	}
	
	public boolean save()
	{
		Write w = new Write();
		return w.saveFile(konten);
		
	}
	
	
	
}
